Bug 831588 - syncdb fails with django.core.exceptions.ImproperlyConfigured: App with label auth is missing a models.py module.
syncdb fails with django.core.exceptions.ImproperlyConfigured: App with label...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kobo (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Mach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 07:30 EDT by Richard Marko
Modified: 2016-01-31 21:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:01:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Marko 2012-06-13 07:30:19 EDT
Description of problem:
Missing models.py file in kobo auth application causes syncdb command failure.

Version-Release number of selected component (if applicable):
kobo-django-0.3.6-1.fc17.noarch
Django-1.4-1.fc17.noarch

How reproducible:
Always

Steps to Reproduce:
1. kobo-admin start-hub my_hub
2. <edit database and file paths>
3. python manage.py syncdb
  
Actual results:
django.core.exceptions.ImproperlyConfigured: App with label auth is missing a models.py module.

Expected results:
No error

Additional info:
Creating empty /usr/lib/python2.7/site-packages/kobo/django/auth/models.py resolves the issue.
Comment 1 Daniel Mach 2012-07-10 10:59:08 EDT
Fixed in upstream git; I'll build a new build soon.
Comment 2 Fedora End Of Life 2013-07-04 03:39:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 16:01:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.